Package oracle.nosql.driver.ops

# Enum SystemResult.State

java.lang.Object
java.lang.Enum<SystemResult.State>
oracle.nosql.driver.ops.SystemResult.State

All Implemented Interfaces:
  `Serializable`, `Comparable<SystemResult.State>`, `java.lang.constant.Constable`

Enclosing class:
  SystemResult

public static enum SystemResult.State extends Enum<SystemResult.State>
On-premises only.

The current state of the operation

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMPLETE`
  The operation is complete and was successful.
  `WORKING`
  The operation is in progress

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SystemResult.State`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SystemResult.State[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COMPLETE

    public static final SystemResult.State COMPLETE
    The operation is complete and was successful. Failures are thrown as exceptions.

  - ### WORKING

    public static final SystemResult.State WORKING
    The operation is in progress

- ## Method Details

  - ### values

    public static SystemResult.State[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SystemResult.State valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null